Bug 254791 - x11/libfm: Update to 1.3.2
Summary: x11/libfm: Update to 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/lxde/libfm/release...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-05 14:29 UTC by Gian-Simon Purkert
Modified: 2021-04-13 06:18 UTC (History)
2 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
Update to 1.3.2 (2.29 KB, patch)
2021-04-05 14:29 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-04-05 14:29:52 UTC
Created attachment 223829 [details]
Update to 1.3.2
Comment 1 Chris Hutchinson 2021-04-06 16:51:05 UTC
Has this been tested? If so, on what version
and how?

Thanks.

--Chris
Comment 2 Gian-Simon Purkert 2021-04-06 20:44:58 UTC
Compiled on FB 12.2 with clang 11, installed and used it for one day....extensively!
Comment 3 Fernando Apesteguía freebsd_committer 2021-04-08 07:02:18 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 4 Chris Hutchinson 2021-04-08 17:17:55 UTC
Comment on attachment 223829 [details]
Update to 1.3.2

Approved.
Builds/Works as intended on 12/amd64

Thanks!

x11/libfm/work-gtk2/stage/usr/local/include/libfm
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
Notice: You have some Perl modules as dependencies but you do not have devel/p5-Module-CoreList installed, the perlcore QA check gets better results when using it, especially with older Perl versions.
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 5 Chris Hutchinson 2021-04-08 17:21:44 UTC
MFC quarterly
Comment 6 Fernando Apesteguía freebsd_committer 2021-04-09 11:24:16 UTC
Why the MFC? Does this fix specific bugs?
Comment 7 Chris Hutchinson 2021-04-09 16:39:04 UTC
(In reply to Fernando Apesteguía from comment #6)
Sorry. This was a version change. So no MFC.
My bad. Sorry.
Comment 8 Fernando Apesteguía freebsd_committer 2021-04-11 16:11:55 UTC
I'm getting this error when testing the port in poudriere:

===========================================================================
=======================<phase: package        >============================
===>  Building package for libfm-extra-1.3.2
pkg-static: Unable to access file /wrkdirs/usr/ports/x11/libfm-extra/work/stage/usr/local/lib/libfm-extra.so.4.1.2:No such file or directory
*** Error code 1

Stop.

Can any of you reproduce this?
Comment 9 Fernando Apesteguía freebsd_committer 2021-04-11 16:44:20 UTC
This is needed in x11/libfm-extra, slave of x11/libfm.

-lib/libfm-extra.so.4.1.2
+lib/libfm-extra.so.4.1.3
Comment 10 Chris Hutchinson 2021-04-12 17:15:50 UTC
(In reply to Fernando Apesteguía from comment #8)
Curious. I didn't run into this on a build on
"bare metal" @12/amd64.
I'll spin up another builder and see if I can
reproduce/fix this afternoon.

Thanks for the heads-up, Fernando! :-)

--Chris
Comment 11 Fernando Apesteguía freebsd_committer 2021-04-12 20:22:57 UTC
(In reply to Chris Hutchinson from comment #10)
It is possible that you already had a previous version of libfm-extra installed so it wasn't built.

I will commit this tomorrow morning :-)
Comment 12 commit-hook freebsd_committer 2021-04-13 06:00:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=aa85f3852da750ca4fa4c650182a79e8c4429512

commit aa85f3852da750ca4fa4c650182a79e8c4429512
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-08 07:00:21 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-13 05:56:37 +0000

    x11/libfm: Update to 1.3.2

    Updating pkg-plist in slave port x11/libfm-extra.

    ChangeLog: https://github.com/lxde/libfm/releases/tag/1.3.2

    PR:     254791
    Reported by:    gspurki@gmail.com
    Tested by:      portmaster@bsdforge.com (maintainer)

 x11/libfm-extra/pkg-plist |  2 +-
 x11/libfm/Makefile        |  2 +-
 x11/libfm/distinfo        |  6 +++---
 x11/libfm/pkg-plist       | 20 ++++++++++----------
 4 files changed, 15 insertions(+), 15 deletions(-)
Comment 13 Fernando Apesteguía freebsd_committer 2021-04-13 06:04:22 UTC
Committed,

Thanks!
Comment 14 Chris Hutchinson 2021-04-13 06:18:37 UTC
(In reply to Fernando Apesteguía from comment #13)
Thanks for all your time and efforts here, Fernando! :-)